Description

Support Anfrage:

In den beigestellten Beispielen wird der MediaType mit Hilfe von create_adtf_default_stream_type gesetzt.

Allerdings geht dies ja nur für einfache Strukturen. Daher ergeben sich hier einige Fragen:

1.) Gibts es in ADTF3 die Möglichkeit Descriptions "global" bekannt zu machen? Wenn ja wie verwendet man diese im Filter?

2.) Es gibt die Funktion create_stream_type_from_xml(XMLasString, adtf_string<tChar>("?????"),pType). Ist diese zu verwenden

um DDls aus einer XML zu ermitteln?

Wozu dient der zweite Parameter? Dies ist ein rvalue und soll laut Doku gleichzeitig ein Out-Parameter sein?

Zudem finde ich diese Funktion in keiner Lib. Daher kommt es bei der Verwendung zu Linker-Fehlern.

Ist es möglich hier ein oder mehrere Beispiele zu Verwendung von DDLs in Filter (zum Auslesen einzelner Signale) bereit zu stellen?

Kannst du mir vielleicht schnell sagen, woher der Service die Description bekommt?

Lösung:

Es gibt hierzu bereits ein Example im ADTF.

Dieses findest man unter Demo Media Description Data Generator  in der SDK Doku.

Zum Service:

Im System Editor den ADTF Media Description Service hinzufügen (sofern noch nicht geladen) und dessen Properties entsprechend

setzen.

History

#1 - 2019-02-14 10:39 - hidden

- Project changed from Public Support to 11

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::MediaDescription

Hallo Oliver,

hierzu gibt es ein Example im ADTF.

Sieh Dir bitte das Demo Media Description Data Generator Example in der SDK Doku an.

Bitte gib uns kurz Bescheid ob dies deine Anfrage beantwortet.

Gruß

Matthias

#2 - 2019-02-18 10:52 - hidden

Hallo Oliver,

hast Du schon Gelegenheit gehabt dir das Example durchzusehen?

Bitte um Feedback bis zum 20.02.
https://support.digitalwerk.net/adtf/v3/adtf_html/page_example_md_data_generator_filter.html
https://support.digitalwerk.net/adtf/v3/guides/intro_configuration_editor.html#system_editor
https://support.digitalwerk.net/adtf/v3/adtf_html/page_media_description_plugin.html#section_media_description_service
https://support.digitalwerk.net/adtf/v3/adtf_html/page_example_md_data_generator_filter.html


Danke

#3 - 2019-02-18 15:25 - hidden

Hallo Matthias,

ja vielen Dank. Das Beispiel war mir noch nicht bekannt, da ich bisher nur die Beispiele der 3.3.3 kompiliert hatte.

Ich habe das Beispiel kurz überflogen. Werde mir das die nächsten Tage mal in Ruhe ansehen. Kannst du mir vielleicht schnell sagen, woher der

Service die Description bekommt?

#4 - 2019-02-18 16:19 - hidden

- Status changed from Customer Feedback Required to In Progress

#5 - 2019-02-19 13:02 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Oliver,

Kannst du mir vielleicht schnell sagen, woher der Service die Description bekommt?

 Im System Editor den ADTF Media Description Service hinzufügen (sofern noch nicht geladen) und dessen Properties entsprechend setzen.

#6 - 2019-02-19 14:18 - hidden

Hallo Florian,

vielen Dank. Das hat alle Fragen beantwortet

#7 - 2019-02-19 15:53 - hidden

- Subject changed from Verwendung von MediaDescriptions in ADTF 3 to Use of MediaDescriptions in ADTF 3

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

Hallo Oliver, mit deiner Einverständnis werden wir das Ticket schließen.

#8 - 2019-02-19 15:54 - hidden

ja und nochmal vielen Dank

#9 - 2019-03-08 13:55 - hidden

- Status changed from To Be Closed to Closed

#10 - 2019-03-08 13:56 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No
